List payment methods
curl --request GET \
--url https://api.marzipan.co/v1/account/payments/methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/payments/methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/payments/methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f60718",
"provider": "stripe",
"paymentMethod": "card",
"providerId": "pm_1QabcDEF1234567890",
"cardType": "visa",
"cardLast4": "4242",
"cardExpMonth": 12,
"cardExpYear": 2028,
"default": true
}
]{
"message": "Unauthenticated."
}Account
List payment methods
Retrieve the saved (non-wallet) payment methods for the authenticated customer.
GET
/
account
/
payments
/
methods
List payment methods
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.
⌘I

